# Get-RASAVDHostPoolStatus.md

## NAME

Get-RASAVDHostPoolStatus

## SYNOPSIS

Retrieves the status of one or multiple Azure Virtual Desktop Host Pools.

## SYNTAX

\*\*Get-RASAVDHostPoolStatus \[\[-[Id](#id-string)] *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Get-RASAVDHostPoolStatus \[\[-[InputObject](#inputobject)] *(*[*AVDHostPool*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/avdhostpool.md)*)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Get-RASAVDHostPoolStatus \[\[-[Name](#name-string)] *(string)*] \[\[-[SiteId](#siteid-string)] *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Retrieves information about the status of one or multiple Azure Virtual Desktop Host Pools.

The cmdlet returns an object of type AVDHostPoolStatus.

To see the complete list of object properties, use the Format-List cmdlet (see examples).

The result set contains only the major properties of a group; it does not include the complete list of settings supported in RAS.

## PARAMETERS

## Name (string)

The name of the AVD Host Pool for which to retrieve the status.

```
        Required?                    false

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID from which to retrieve the specified RDS Host Pool Name.

If the parameter is omitted, the site ID of the Licensing Server will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The ID of the AVD Host Pool. To obtain the ID, use the Get-RASAVDHostPool cmdlet.

```
        Required?                    false

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([AVDHostPool](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/avdhostpool.md))

An object of type AVDHostPool representing the AVD Host Pool.

To obtain the object, use the Get-RASAVDHostPool cmdlet.

```
        Required?                    false

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[AVDHostPool](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/avdhostpool.md)

## OUTPUTS

[AVDHostPoolStatus](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/avdhostpoolstatus.md)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Get-RASAVDHostPoolStatus "My AVD Host Pool" | Format-List

Retrieves the status of the AVD Host Pool specified by name from the Licensing Server site.

To retrieve the info from a specific site, specify the -SiteId parameter.

The Format-List cmdlet formats the display output to include all available pool properties.\
\*\*---------- EXAMPLE 2 ----------

Get-RASAVDHostPoolStatus -Id 10

Retrieves the status information about the AVD Host Pool specified by Id from the Licensing Server site.

## RELATED LINKS

* [New-RASAVDHostPool](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rasavdhostpool.md)
* [Get-RASAVDHostPool](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasavdhostpool.md)
* [Set-RASAVDHostPool](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasavdhostpool.md)
* [Remove-RASAVDHostPool](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasavdhostpool.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasavdhostpoolstatus.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
